Skip to main content

πŸš€ Quickstart

Connect to Zoom with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Zoom.
2

Authorize Zoom

Go to Connections -> Add Test Connection -> Authorize, then log in to Zoom. Later, you’ll let your users do the same directly from your app.
3

Call the Zoom API

Let’s make your first request to the Zoom API. Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/users" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials with the Node SDK or API.βœ… You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

πŸ“š Zoom Integration Guides

Nango maintained guides for common use cases. Official docs: Zoom API docs

🧩 Pre-built syncs & actions for Zoom

Enable them in your dashboard. Extend and customize to fit your needs.

Others

Function nameDescriptionTypeSource code
meetingsSync meetings from Zoom.SyncπŸ”— Github
recordingsSync recordings from Zoom.SyncπŸ”— Github
usersSync users from Zoom.SyncπŸ”— Github
webinarsSync webinars from Zoom.SyncπŸ”— Github